Skip to main content
Avalara Help Center

ACTION NEEDED: Update Transport Layer Security to TLS 1.2

Overview

As Avalara continues to improve our security protocols to meet industry standards, we will no longer support TLS 1.0 and 1.1 in our REST v2 API as of March 31, 2022. Continued use of TLS 1.0 and 1.1 poses a security risk, and these protocols will no longer be supported.

Clients using these versions are expected to upgrade to support our new standards of TLS 1.2.

This deprecation will affect non-browser software, APIs and other internet infrastructure, so partners and customers who are not yet using TLS 1.2 should plan accordingly. 

This change will take effect in our REST v2 API on the following dates:

  • Sandbox: Feb 1, 2022
  • Production: March 31, 2022

Please see the resolution section for what you need to do now.

Resolution

  • Please engage your IT team to determine if you are using TLS 1.0 or 1.1.
  • If you are using a partner-built connector, please reach out to the partner.
  • If you are using an Avalara built connector, please follow the steps below.

Ensure your systems are up-to-date; make sure:

  1. You are using an up-to-date software platform [ERP, CRM, POS, eComm system] that supports TLS 1.2. 
    • Most ERP, eCommerce, CRM and POS systems are pre-configured and setup to support TLS 1.2 support for all users. For details associated with TLS settings for your accounting system, review help documentation specific to your accounting system.  Accounting software publishers generally provide detailed configuration documents and Help articles related to how to configure TLS unique to your system.
  2. All hosting web servers support TLS 1.2. 
  3. Your system is configured to support TLS 1.2 or higher. 
  4. Your latest AvaTax integration version is installed:
    • In AvaTax, go to Settings > Integrations.
    • If there is a later version of your integration, install it.

 

clipboard_e2eae8147c091ea2dd4ed0b1209198ae3.png  

Note

For an AvaTax for Sage 100 compatibility check, see Avalara AvaTax for Sage 100 and Compatibility with TLS v1.2.

For an AvaTax for QuickBooks Desktop connection repair, see Fix the connection between AvaTax and QuickBooks Desktop caused by TLS deprecation

Visual of steps above

Test your AvaTax account using a Sandbox Account

Test your AvaTax account using a Sandbox Account and appropriate Sandbox URL starting 2/1/2022. Please test early; prior to March 31, 2022. On March 31, 2022 the universal sandbox will no longer be active.

Once configured, attempt to do a tax calculation.  If your test system is successful at calculating tax or test connection succeeds then your environment is secure and no changes are needed. 

If you don't have a sandbox account: See If you need access to an Avalara sandbox to test TLS 1.2 compliance.

What's next

What happens on February 1, 2022?  Avalara will discontinue support for Transport Layer Security (TLS) versions 1.0 and 1.1 on our Sandbox environments for REST v1, REST v2, and SOAP endpoints in sandbox environments. Customers will need to begin testing their Avalara AvaTax integrations for TLS compliance against their Sandbox accounts.
What happens on March 31, 2022? Avalara will discontinue support for Transport Layer Security (TLS) versions 1.0 and 1.1 on our Production environments for REST V2 based integrations. 
What happens on December 31, 2022?

Avalara will discontinue support for Transport Layer Security (TLS) versions 1.0 and 1.1 on our Production environments for REST V1 and SOAP based integrations.